Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231178 - LSPP: setfattr Segfaults on s390x
Summary: LSPP: setfattr Segfaults on s390x
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: attr
Version: 5.0
Hardware: s390x
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-03-06 17:17 UTC by Kylene J Hall
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 20:49:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
setfattr (deleted)
2007-03-06 21:25 UTC, Archana K. Raghavan
no flags Details

Description Kylene J Hall 2007-03-06 17:17:55 UTC
Description of problem:
Setfattr segfaults on s390x when called from the command line at least with a
user. attribute (same command verified to work on ppc64).  Segfaults in both
Enforcing and Permissive mode.

Version-Release number of selected component (if applicable):
attr-2.4.32-1.1


How reproducible:
Always on s390x (have tried Enforcing and Permissive mode, various users)

Steps to Reproduce:
1. touch testfile
2.setfattr -n "user.md5sum" -v "blah" testfile

  
Actual results:
Segfault

Expected results:
Set attribute that could then be retrieved with something like getfattr.

Additional info:
[testuser/user_r/SystemLow@KWUSER2 ~]$ touch testfile
[testuser/user_r/SystemLow@KWUSER2 ~]$ strace setfattr -n "user.md5sum" -v
"blah" testfile
execve("/usr/bin/setfattr", ["setfattr", "-n", "user.md5sum", "-v", "blah",
"testfile"], [/* 22 vars */]) = 0
brk(0)                                  = 0x80004000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xffffffffffffffff
uname({sys="Linux", node="KWUSER2.ENDICOTT.IBM.COM", ...}) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x20000001000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 4492 detached

Comment 1 IBM Bug Proxy 2007-03-06 18:43:46 UTC
[root/abat_r/SystemLow@KWUSER2 ~]# readelf -a /usr/bin/setfattr
ELF Header:
  Magic:   7f 45 4c 46 02 02 01 00 00 00 00 00 00 00 00 00
  Class:                             ELF64
  Data:                              2's complement, big endian
  Version:                           1 (current)
  OS/ABI:                            UNIX - System V
  ABI Version:                       0
  Type:                              EXEC (Executable file)
  Machine:                           IBM S/390
  Version:                           0x1
  Entry point address:               0x80000fc4
  Start of program headers:          64 (bytes into file)
  Start of section headers:          13512 (bytes into file)
  Flags:                             0x0
  Size of this header:               64 (bytes)
  Size of program headers:           56 (bytes)
  Number of program headers:         8
  Size of section headers:           64 (bytes)
  Number of section headers:         26
  Section header string table index: 25

Section Headers:
  [Nr] Name              Type             Address           Offset
       Size              EntSize          Flags  Link  Info  Align
  [ 0] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 1] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 2] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 3] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 4] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 5] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 6] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 7] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 8] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [ 9] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [10] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [11] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [12] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [13] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [14] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [15] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [16] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [17] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [18] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [19] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [20] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [21] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [22] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [23] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [24] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
  [25] <no-name>         NULL             0000000000000000  00000000
       0000000000000000  0000000000000000           0     0     0
Key to Flags:
  W (write), A (alloc), X (execute), M (merge), S (strings)
  I (info), L (link order), G (group), x (unknown)
  O (extra OS processing required) o (OS specific), p (processor specific)

There are no section groups in this file.

Program Headers:
  Type           Offset             VirtAddr           PhysAddr
                 FileSiz            MemSiz              Flags  Align
  PHDR           0x0000000000000040 0x0000000080000040 0x0000000080000040
                 0x00000000000001c0 0x00000000000001c0  R E    8
  INTERP         0x0000000000000200 0x0000000080000200 0x0000000080000200
                 0x000000000000000f 0x000000000000000f  R      1
      [Requesting program interpreter: /lib/ld64.so.1]
  LOAD           0x0000000000000000 0x0000000080000000 0x0000000080000000
                 0x0000000000002eac 0x0000000000002eac  R E    1000
  LOAD           0x0000000000003000 0x0000000080003000 0x0000000080003000
                 0x00000000000003d8 0x0000000000000468  RW     1000
  DYNAMIC        0x0000000000003028 0x0000000080003028 0x0000000080003028
readelf: Error: no .dynamic section in the dynamic segment                 
0x00000000000001a0 0x00000000000001a0  RW     8
  NOTE           0x0000000000000210 0x0000000080000210 0x0000000080000210
                 0x0000000000000020 0x0000000000000020  R      4
  GNU_EH_FRAME   0x0000000000002b70 0x0000000080002b70 0x0000000080002b70
                 0x000000000000008c 0x000000000000008c  R      4
  GNU_STACK      0x0000000000000000 0x0000000000000000 0x0000000000000000
                 0x0000000000000000 0x0000000000000000  RW     8

There is no dynamic section in this file.

There are no relocations in this file.

There are no unwind sections in this file.

No version information found in this file.


Comment 2 IBM Bug Proxy 2007-03-06 18:44:52 UTC
[root/abat_r/SystemLow@KWUSER2 ~]# objdump -D /usr/bin/setfattr

/usr/bin/setfattr:     file format elf64-s390



Comment 3 IBM Bug Proxy 2007-03-06 18:45:47 UTC
there does not seem to be any executable code in that file ?

Comment 8 Archana K. Raghavan 2007-03-06 21:25:32 UTC
Created attachment 149386 [details]
setfattr

Comment 10 Kylene J Hall 2007-03-08 16:56:28 UTC
Any updates on this bug?

Comment 11 Kylene J Hall 2007-03-12 20:33:21 UTC
[root/sysadm_r/SystemLow@KWUSER2 capp-lspp-rpms]# rpm -V libattr
[root/sysadm_r/SystemLow@KWUSER2 capp-lspp-rpms]# echo $?
0
[root/sysadm_r/SystemLow@KWUSER2 capp-lspp-rpms]# rpm -V attr
[root/sysadm_r/SystemLow@KWUSER2 capp-lspp-rpms]# echo $?
0


Comment 12 George C. Wilson 2007-03-15 13:45:50 UTC
Kylie, have you tried building from the source package for this one? You can
turn on debugging you do that.

Comment 13 Kylene J Hall 2007-03-15 16:20:48 UTC
Salina tried that with the same results as the shipped/installed package.

Comment 14 Kylene J Hall 2007-03-19 22:15:49 UTC
This appears fixed by the latest set of lspp packages.

Comment 15 George C. Wilson 2007-03-26 20:31:17 UTC
Can this be closed?


Note You need to log in before you can comment on or make changes to this bug.